unit SUtil;

interface

uses Windows;

function IntToStr(Value: Integer): string;
function StrToInt(const s: string): Integer;
function FileExist(const FileName: string): Boolean;
function ExtractFilePath(const FileName: string): string;
function ExtractFileName(const FileName: string): string;
function Rect(ALeft, ATop, ARight, ABottom: Integer): TRect;
function Point(AX, AY: Integer): TPoint;

implementation

function IntToStr(Value: Integer): string;
begin
  Str(Value, Result);
end;

function StrToInt(const s: string): Integer;
var
  code: Integer;
begin
  Val(s, Result, code);
end;

function FileExist(const FileName: string): Boolean;
var
  r: DWORD;
begin
  r := GetFileAttributes(PChar(FileName));
  Result := not ((r = $FFFFFFFF) or (r = FILE_ATTRIBUTE_DIRECTORY));
end;

function ExtractFilePath(const FileName: string): string;
var
  buf: array [0..MAX_PATH] of Char;
  p: PChar;
begin
  GetFullPathName(PChar(FileName), SizeOf(buf), buf, p);
  p^ := #0;
  Result := buf;
end;

function ExtractFileName(const FileName: string): string;
var
  buf: array [0..MAX_PATH] of Char;
  p: PChar;
begin
  GetFullPathName(PChar(FileName), SizeOf(buf), buf, p);
  Result := p;
end;

function Rect(ALeft, ATop, ARight, ABottom: Integer): TRect;
begin
  with Result do
  begin
    Left := ALeft;
    Top := ATop;
    Right := ARight;
    Bottom := ABottom;
  end;
end;

function Point(AX, AY: Integer): TPoint;
begin
  with Result do
  begin
    X := AX;
    Y := AY;
  end;
end;

end.

